<?php
include_once("c_setting_members_group.php");
class c_page_cab_setting_members_group_personals extends c_page_cab_setting_members_group
{
  public $h1='Рабочие группы ЭСМО - персонал группы' ;

 function block_main()
  {
    $this->page_title();
    if ($this->rec_group['viewer_name']) $this->panel_group_personals();

  }



  function panel_group_personals()
  { // если для рабочей группы не заданы правила отбора, будет использованы правила отбора первой родительской группы, у который есть такие правила
    // если такой группы нет, используется вьювер view_personals_active
    list($viewer_name,$workgroup_reffer)=ACCOUNTS()->get_workgroup_active_filter_info($this->rec_group['pkey']) ;
    //echo '$viewer_name='.$viewer_name.'<br>' ;

    include_once(_DIR_EXT.'/personal/report_personals.php');
    $report_obj=new report_personals();
    //$report_obj->personals_filter_reffer=$this->rec_group['_reffer']; не используем personals_filter_reffer так как у текущей группы может не быть своих правил и надо использовать родителские
    $report_obj->viewer_ids=$viewer_name;
    $report_obj->no_use_account_usl_select=1; // показывать всех сотрудников без учета фильтра по текущему аккаунту
    $report_obj->init() ;
    $report_obj->setting() ;
    $report_obj->view();
 }

}



?>
